import IApiEndpoints from "../framework/IApiEndpoints";
import IApiPaths from "../framework/IApiPaths";
import IApiLintResponse from "../models/IApiLintResponse";
interface IEnpointsProps {
    rootUrl: string;
    apiVersion: string;
    paths?: IApiPaths;
}
export default class ApiEndpoints implements IApiEndpoints {
    private _paths;
    constructor(props: IEnpointsProps);
    lintCiYml(content: string): Promise<IApiLintResponse>;
    private removeSlash;
}
export {};
